INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('AJC','ACTA JURIDICA DE APROBACION',0,'',0,0)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('DPA','DEVOLUCION DE PRORRATEO',0,'',0,1)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('PRA','PRORRATEO',0,'',0,1)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('ALP','AJUSTES A LIQUIDACION DE PRORRATEO',0,'',0,1)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('DAP','DEVOLUCION DE AJUSTES A PRORRATEOS',0,'',0,1)
GO
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('PRA',1,'APORTES','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('PRA',2,'CUENTA POR PAGAR','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('PRA',3,'CUENTA DE REINTEGRO','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DPA',2,'APORTES','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DPA',1,'CUENTA POR PAGAR','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DPA',3,'CUENTA DE REINTEGRO','D')
GO
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('ALP',1,'APORTES','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('ALP',2,'CUENTA POR PAGAR','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('ALP',3,'CUENTA DE REINTEGRO','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DAP',2,'APORTES','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DAP',1,'CUENTA POR PAGAR','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DAP',3,'CUENTA DE REINTEGRO','D')
GO
ALTER TABLE Trn_JurCasos ADD UndVehiculo CHAR(1) DEFAULT('V'),NumRemolque VARCHAR(10),TipActaJur VARCHAR(3),NumActaJur INT DEFAULT(0) NOT NULL,CiaActaJur CHAR(2),EstadoProc INT DEFAULT(0) NOT NULL
GO
ALTER TABLE tm_TraLiqCausac ADD tmReferencia VARCHAR(50)
GO
CREATE TABLE AcuAportes ( 
Id BIGINT IDENTITY ( 1,1 ) NOT NULL,
nAnno INT DEFAULT ((0)) NOT NULL,
nMes INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
Concepto VARCHAR(20) NOT NULL,
SaldoAnt MONEY DEFAULT ((0)) NOT NULL,
VrAporte MONEY DEFAULT ((0)) NOT NULL,
VrDeduccion MONEY DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_AcuAportes PRIMARY KEY NONCLUSTERED (Id),
 CONSTRAINT CK_AcuAportesConcepto CHECK ((len([Concepto])>(0))),
 CONSTRAINT CK_AcuAportesIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_AcuAportesIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_AcuAportesIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_AcuAportesUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_JurActas ( 
TipDoc VARCHAR(3) DEFAULT ('AJC') NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
NumActa VARCHAR(20) NOT NULL,
FechaActa SMALLDATETIME NOT NULL,
Modalidad VARCHAR(10) NOT NULL,
ValorTotal MONEY DEFAULT ((0)) NOT NULL,
Referencia VARCHAR(50),
EstadoPror INT DEFAULT ((0)) NOT NULL,
TipPror VARCHAR(3) DEFAULT ('0') NOT NULL,
NumPror INT DEFAULT ((0)) NOT NULL,
IdCiaPror CHAR(2) DEFAULT ('00') NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
NumDev INT DEFAULT ((0)) NOT NULL,
FechaDev SMALLDATETIME,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_JurActas PRIMARY KEY CLUSTERED (TipDoc,NumProceso,IdCia),
 CONSTRAINT CK_Trn_JurActasIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_JurActasIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_JurActasIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_JurActasModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_JurActasModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_JurActasNumActa CHECK ((len([NumActa])>(0))),
 CONSTRAINT CK_Trn_JurActasTipDoc CHECK ((len([TipDoc])>(0))))
GO
CREATE TABLE Trn_JurActasVeh ( 
TipDoc VARCHAR(3) DEFAULT ('AJC') NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
Descripcion VARCHAR(500) NOT NULL,
Importe MONEY DEFAULT ((0)) NOT NULL,
TipDocJur VARCHAR(3) NOT NULL,
NumCasoJur INT DEFAULT ((0)) NOT NULL,
IdCiaJur CHAR(2) NOT NULL
 CONSTRAINT PK_Trn_JurActasVeh PRIMARY KEY CLUSTERED (TipDoc,NumProceso,IdCia,Item),
 CONSTRAINT CK_Trn_JurActasVehIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_JurActasVehIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_JurActasVehIdCiaJur CHECK ((len([IdCiaJur])>(0))),
 CONSTRAINT CK_Trn_JurActasVehIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_JurActasVehTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_JurActasVehTipDocJur CHECK ((len([TipDocJur])>(0))),
 CONSTRAINT CK_Trn_JurActasVehUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_GatProrrateos ( 
TipDoc VARCHAR(3) DEFAULT ('PRA') NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
Modalidad VARCHAR(10) NOT NULL,
TipDocActa VARCHAR(3) NOT NULL,
NumDocActa INT DEFAULT ((0)) NOT NULL,
IdCiaActa CHAR(2) NOT NULL,
FecSuceso SMALLDATETIME NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
VrAprobado MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
TipoAfiVeh VARCHAR(10),
Referencia VARCHAR(50),
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
NumDev INT DEFAULT ((0)) NOT NULL,
FechaDev SMALLDATETIME,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatProrrateos PRIMARY KEY CLUSTERED (TipDoc,NumProceso,IdCia),
 CONSTRAINT CK_Trn_GatProrrateosIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosIdCiaActa CHECK ((len([IdCiaActa])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosTipDocActa CHECK ((len([TipDocActa])>(0))),
 CONSTRAINT CK_Trn_GatProrrateosUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_GatProrratVeh ( 
TipDoc VARCHAR(3) DEFAULT ('PRA') NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
TarifaLiq DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrAportes MONEY DEFAULT ((0)) NOT NULL,
Importe MONEY DEFAULT ((0)) NOT NULL,
VrRetiros MONEY DEFAULT ((0)) NOT NULL,
VrAvaluo MONEY DEFAULT ((0)) NOT NULL,
TipoBaseLiq CHAR(1) DEFAULT ('A') NOT NULL,
CodTarifa VARCHAR(4),
Observacion VARCHAR(500),
FecLiquida SMALLDATETIME NOT NULL,
FecIngreso SMALLDATETIME NOT NULL,
FecRetiro SMALLDATETIME,
EdoVincula INT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_Trn_GatProrratVeh PRIMARY KEY CLUSTERED (TipDoc,NumProceso,IdCia,Item),
 CONSTRAINT CK_Trn_GatProrratVehIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatProrratVehIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatProrratVehIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatProrratVehTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatProrratVehTipoBaseLiq CHECK ((len([TipoBaseLiq])>(0))),
 CONSTRAINT CK_Trn_GatProrratVehUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_GatDevProrr ( 
TipDev VARCHAR(3) DEFAULT ('DPA') NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
FecDoc SMALLDATETIME NOT NULL,
Modalidad VARCHAR(10) NOT NULL,
IdAsociado VARCHAR(16) NOT NULL,
UndVehiculo CHAR(1) DEFAULT ('V') NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
nRemolque VARCHAR(10),
VrDevolucion MONEY DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ModdDev VARCHAR(10) NOT NULL,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatDevProrr PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia),
 CONSTRAINT CK_Trn_GatDevProrrIdAsociado CHECK ((len([IdAsociado])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrIdCiaDoc CHECK ((len([IdCiaDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrModdDev CHECK ((len([ModdDev])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevProrrUndVehiculo CHECK ((len([UndVehiculo])>(0))))
GO
CREATE TABLE Trn_GatAjustesPror ( 
TipDoc VARCHAR(3) DEFAULT ('ALP') NOT NULL,
NumAjuste INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
Modalidad VARCHAR(20) DEFAULT ('AUMENTO') NOT NULL,
TipPror VARCHAR(3) NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCiaPror CHAR(2) NOT NULL,
VrAjustes MONEY DEFAULT ((0)) NOT NULL,
Referencia VARCHAR(50),
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
NumDev INT DEFAULT ((0)) NOT NULL,
FechaDev SMALLDATETIME,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatAjustesPror PRIMARY KEY CLUSTERED (TipDoc,NumAjuste,IdCia),
 CONSTRAINT CK_Trn_GatAjustesProrIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatAjustesProrIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatAjustesProrIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatAjustesProrIdCiaPror CHECK ((len([IdCiaPror])>(0))),
 CONSTRAINT CK_Trn_GatAjustesProrIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatAjustesProrIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatAjustesProrModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_GatAjustesProrModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatAjustesProrTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatAjustesProrTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_GatAjustesProrTipPror CHECK ((len([TipPror])>(0))))
GO
CREATE TABLE Trn_GatDevAjuPror ( 
TipDev VARCHAR(3) DEFAULT ('DAP') NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
TipDoc VARCHAR(3) NOT NULL,
NumAjuste INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
FecDoc SMALLDATETIME NOT NULL,
Modalidad VARCHAR(20) DEFAULT ('AUMENTO') NOT NULL,
VrDevolucion MONEY DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) NOT NULL,
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ModdDev VARCHAR(10) NOT NULL,
Observacion VARCHAR(500),
IdUsuario VARCHAR(11) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
ModuloCrea VARCHAR(10) NOT NULL
 CONSTRAINT PK_Trn_GatDevAjuPror PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia),
 CONSTRAINT CK_Trn_GatDevAjuProrIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrIdCiaDoc CHECK ((len([IdCiaDoc])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrModdDev CHECK ((len([ModdDev])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrModuloCrea CHECK ((len([ModuloCrea])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_GatDevAjuProrTipDoc CHECK ((len([TipDoc])>(0))))
GO

ALTER TABLE AcuAportes ADD 
 CONSTRAINT FK_AcuAportes_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_AcuAportes_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE CLUSTERED INDEX IX_AcuAportesIdAsociado ON AcuAportes(nAnno,nMes,IdCia,IdAsociado,IdVehiculo)

ALTER TABLE Trn_JurActas ADD 
 CONSTRAINT FK_Trn_JurActas_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_JurActas_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_JurActas_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_JurActas_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc)

 CREATE NONCLUSTERED INDEX IX_Trn_JurActasFecha ON Trn_JurActas(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_JurActasNumActa ON Trn_JurActas(NumActa)
 CREATE NONCLUSTERED INDEX IX_Trn_JurActasFechaActa ON Trn_JurActas(FechaActa)

ALTER TABLE Trn_JurActasVeh ADD 
 CONSTRAINT FK_Trn_JurActasVeh_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_JurActasVeh_Trn_JurActas FOREIGN KEY (TipDoc,NumProceso,IdCia) REFERENCES [dbo].[Trn_JurActas] (TipDoc,NumProceso,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_JurActasVehIdAsociado ON Trn_JurActasVeh(IdAsociado,UndVehiculo,IdVehiculo)

ALTER TABLE Trn_GatProrrateos ADD 
 CONSTRAINT FK_Trn_GatProrrateos_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatProrrateos_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatProrrateos_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatProrrateos_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatProrrateos_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatProrrateos_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero)
 
 CREATE NONCLUSTERED INDEX IX_Trn_GatProrrateosFecha ON Trn_GatProrrateos(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatProrrateosIdAsociado ON Trn_GatProrrateos(IdAsociado,UndVehiculo,IdVehiculo)
 CREATE NONCLUSTERED INDEX IX_Trn_GatProrrateosNumDocActa ON Trn_GatProrrateos(TipDocActa,NumDocActa,IdCiaActa)
 CREATE NONCLUSTERED INDEX IX_Trn_GatProrrateosFecSuceso ON Trn_GatProrrateos(FecSuceso)

ALTER TABLE Trn_GatProrratVeh ADD 
 CONSTRAINT FK_Trn_GatProrratVeh_Terceros FOREIGN KEY (IdAsociado) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_GatProrratVeh_Trn_GatProrrateos FOREIGN KEY (TipDoc,NumProceso,IdCia) REFERENCES [dbo].[Trn_GatProrrateos] (TipDoc,NumProceso,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_GatProrratVehIdAsociado ON Trn_GatProrratVeh(IdAsociado,UndVehiculo,IdVehiculo)

ALTER TABLE Trn_GatDevProrr ADD 
 CONSTRAINT FK_Trn_GatDevProrr_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatDevProrr_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevProrr_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevProrr_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatDevProrr_Sys_TiposDoc FOREIGN KEY (TipDev) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatDevProrr_Trn_GatProrrateos FOREIGN KEY (TipDoc,NumProceso,IdCiaDoc) REFERENCES [dbo].[Trn_GatProrrateos] (TipDoc,NumProceso,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_GatDevProrrNumProceso ON Trn_GatDevProrr(TipDoc,NumProceso,IdCiaDoc)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevProrrFecha ON Trn_GatDevProrr(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevProrrIdAsociado ON Trn_GatDevProrr(IdAsociado,UndVehiculo,IdVehiculo)

ALTER TABLE Trn_GatAjustesPror ADD 
 CONSTRAINT FK_Trn_GatAjustesPror_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatAjustesPror_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatAjustesPror_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatAjustesPror_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatAjustesPror_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatAjustesPror_Trn_GatProrrateos FOREIGN KEY (TipPror,NumProceso,IdCiaPror) REFERENCES [dbo].[Trn_GatProrrateos] (TipDoc,NumProceso,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_GatAjustesProrNumProceso ON Trn_GatAjustesPror(TipPror,NumProceso,IdCiaPror)
 CREATE NONCLUSTERED INDEX IX_Trn_GatAjustesProrFecha ON Trn_GatAjustesPror(Fecha)

ALTER TABLE Trn_GatDevAjuPror ADD 
 CONSTRAINT FK_Trn_GatDevAjuPror_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_GatDevAjuPror_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevAjuPror_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_GatDevAjuPror_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_GatDevAjuPror_Sys_TiposDoc FOREIGN KEY (TipDev) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_GatDevAjuPror_Trn_GatAjustesPror FOREIGN KEY (TipDoc,NumAjuste,IdCiaDoc) REFERENCES [dbo].[Trn_GatAjustesPror] (TipDoc,NumAjuste,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_GatDevAjuProrFecha ON Trn_GatDevAjuPror(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_GatDevAjuProrNumAjuste ON Trn_GatDevAjuPror(TipDoc,NumAjuste,IdCiaDoc)

IF  EXISTS (SELECT * FROM sys.check_constraints WHERE object_id = OBJECT_ID(N'[dbo].[CK_Sys_GruposObjnModulo]') AND parent_object_id = OBJECT_ID(N'[dbo].[Sys_GruposObj]'))
ALTER TABLE [dbo].[Sys_GruposObj] DROP CONSTRAINT [CK_Sys_GruposObjnModulo]
GO
ALTER TABLE [dbo].[Sys_GruposObj]  WITH NOCHECK ADD  CONSTRAINT [CK_Sys_GruposObjnModulo] CHECK  (([nModulo]='JURIDICO' OR [nModulo]='MAIN' OR [nModulo]='NOMINA' OR [nModulo]='CONTAB' OR [nModulo]='BUSES' OR [nModulo]='TRANS' OR [nModulo]='RFISICO' OR [nModulo]='MNMIENTO' OR [nModulo]='PRESTAMOS' OR [nModulo]='TRAES' OR [nModulo]='PRODCOM' OR [nModulo]='ASOCIADOS'))
GO
ALTER TABLE [dbo].[Sys_GruposObj] CHECK CONSTRAINT [CK_Sys_GruposObjnModulo]
GO